{
    attributes = (
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PJ_ID"; 
            externalType = NUMBER; 
            name = pjId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PRO_ID"; 
            externalType = NUMBER; 
            name = proId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (orgId, pjId, proId); 
    className = "org.cocktail.jefyadmin.server.metier.EOPrmOrgan"; 
    classProperties = (organ, persjur); 
    externalName = "JEFY_ADMIN.PRM_ORGAN"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (organ, persjur); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOPrmOrgan"; 
    }; 
    name = PrmOrgan; 
    primaryKeyAttributes = (proId); 
    relationships = (
        {
            destination = Organ; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = Persjur; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pjId; sourceAttribute = pjId; }); 
            name = persjur; 
        }
    ); 
}
